Loading...
Searching...
No Matches
L4Re::Vfs::File_system Class Referenceabstract

Basic interface for an L4Re::Vfs file system. More...

`#include <vfs.h>`

Inheritance diagram for L4Re::Vfs::File_system:
Collaboration diagram for L4Re::Vfs::File_system:

## Public Member Functions

virtual char const * | type () const noexcept=0
| Returns the type of the file system used in mount as fstype argument.
virtual int | mount (char const *source, unsigned long mountflags, void const *data, cxx::Ref_ptr< File > *dir) noexcept=0
| Create a directory object dir representing source mounted with this file system.

## Detailed Description

Basic interface for an L4Re::Vfs file system.

Note
  For implementing a special file system L4Re::Vfs::Be_file_system may be used as a base class.

The main purpose of this interface is to have a single object for each supported file-system type (e.g., ext2, vfat) that exists in the application and is registered at the L4Re::Vfs::Fs singleton available via L4Re::Vfs::vfs_ops. Ultimately, the POSIX mount function calls the File_system::mount method matching the file-system type given in mount.

Definition at line 857 of file vfs.h.

## Member Function Documentation

## mount()

virtual int L4Re::Vfs::File_system::mount | ( | char const * | source,
|  | unsigned long | mountflags,
|  | void const * | data,
|  | cxx::Ref_ptr< File > * | dir )

pure virtualnoexcept

Create a directory object dir representing source mounted with this file system.

Parameters

  | source | The path to the source device to mount. This may also be some URL or anything file-system specific.
  | mountflags | The mount flags as specified in the POSIX mount call.
  | data | The data as specified in the POSIX mount call. The contents are file-system specific.
  [out] | dir | A new directory object representing the file-system root directory.

Returns
  0 on success, and <0 on error (e.g. -EINVAL).

References mount().

Referenced by mount().

Here is the call graph for this function:
Here is the caller graph for this function:

## type()

virtual char const * L4Re::Vfs::File_system::type | ( |  | ) | const

pure virtualnoexcept

Returns the type of the file system used in mount as fstype argument.

Note
  This method is already provided by Be_file_system.

Implemented in L4Re::Vfs::Be_file_system.

The documentation for this class was generated from the following file:

- l4/l4re_vfs/vfs.h